Subject: Re: gzip.exe as symlink breaks NTEmacs's jka-compr.el
From: "Robert Collins" <[email-masked]>
To: "Jon Cast" <[email-masked]>, "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 17 Jul 2002 12:33:42 +1000

----- Original Message -----
From: "Randall R Schulz" <[email-masked]>
To: "Jon Cast" <[email-masked]>

> I know that if one just uses the "ln" command (no "-s" option) on a FAT
> volume you get a copy. If Cygwin packages used hard links for program
> aliases (does the TAR format support hard links?) and Setup.exe was given
> the same smarts as the "ln" command, you'd get space-wasting copies on FAT
> volumes and fast, space-efficient hard links on NTFS.

It's not the ln smarts that are needed, its the cygwin1.dll hard link
smarts. I'd happily accept a patch to the cygfile:// handler in setup to
perform hard links rather thank copies. Of course, the package maintainers
will suddenly all need to build on NTFS as well, and with hardlinks to boot,
before anything changes.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/